Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

# Class AmendmentInformationDetails4

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_01.AmendmentInformationDetails4

public class AmendmentInformationDetails4 extends Object

Java class for AmendmentInformationDetails4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmendmentInformationDetails4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlMndtId" type="{urn:sepade:xsd:pain.008.001.01}Max35Text" minOccurs="0"/>
             <element name="OrgnlCdtrSchmeId" type="{urn:sepade:xsd:pain.008.001.01}PartyIdentification17" minOccurs="0"/>
             <element name="OrgnlDbtrAcct" type="{urn:sepade:xsd:pain.008.001.01}CashAccount8" minOccurs="0"/>
             <element name="OrgnlDbtrAgt" type="{urn:sepade:xsd:pain.008.001.01}FinancialInstitution3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartyIdentification17`
`orgnlCdtrSchmeId`
`protected CashAccount8`
`orgnlDbtrAcct`
`protected FinancialInstitution3`
`orgnlDbtrAgt`
`protected String`
`orgnlMndtId`

## Constructor Summary

Constructors
Constructor
Description
`AmendmentInformationDetails4()`

## Method Summary

Modifier and Type
Method
Description
`PartyIdentification17`
`getOrgnlCdtrSchmeId()`
Gets the value of the orgnlCdtrSchmeId property.
`CashAccount8`
`getOrgnlDbtrAcct()`
Gets the value of the orgnlDbtrAcct property.
`FinancialInstitution3`
`getOrgnlDbtrAgt()`
Gets the value of the orgnlDbtrAgt property.
`String`
`getOrgnlMndtId()`
Gets the value of the orgnlMndtId property.
`void`
`setOrgnlCdtrSchmeId(PartyIdentification17 value)`
Sets the value of the orgnlCdtrSchmeId property.
`void`
`setOrgnlDbtrAcct(CashAccount8 value)`
Sets the value of the orgnlDbtrAcct property.
`void`
`setOrgnlDbtrAgt(FinancialInstitution3 value)`
Sets the value of the orgnlDbtrAgt property.
`void`
`setOrgnlMndtId(String value)`
Sets the value of the orgnlMndtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### orgnlMndtId

protected String orgnlMndtId

### orgnlCdtrSchmeId

protected PartyIdentification17 orgnlCdtrSchmeId

### orgnlDbtrAcct

protected CashAccount8 orgnlDbtrAcct

### orgnlDbtrAgt

protected FinancialInstitution3 orgnlDbtrAgt

## Constructor Details

### AmendmentInformationDetails4

public AmendmentInformationDetails4()

## Method Details

### getOrgnlMndtId

public String getOrgnlMndtId()
Gets the value of the orgnlMndtId property.

Returns:
  possible object is `String`

### setOrgnlMndtId

public void setOrgnlMndtId(String value)
Sets the value of the orgnlMndtId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlCdtrSchmeId

public PartyIdentification17 getOrgnlCdtrSchmeId()
Gets the value of the orgnlCdtrSchmeId property.

Returns:
  possible object is `PartyIdentification17`

### setOrgnlCdtrSchmeId

public void setOrgnlCdtrSchmeId(PartyIdentification17 value)
Sets the value of the orgnlCdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification17`

### getOrgnlDbtrAcct

public CashAccount8 getOrgnlDbtrAcct()
Gets the value of the orgnlDbtrAcct property.

Returns:
  possible object is `CashAccount8`

### setOrgnlDbtrAcct

public void setOrgnlDbtrAcct(CashAccount8 value)
Sets the value of the orgnlDbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount8`

### getOrgnlDbtrAgt

public FinancialInstitution3 getOrgnlDbtrAgt()
Gets the value of the orgnlDbtrAgt property.

Returns:
  possible object is `FinancialInstitution3`

### setOrgnlDbtrAgt

public void setOrgnlDbtrAgt(FinancialInstitution3 value)
Sets the value of the orgnlDbtrAgt property.

Parameters:
  `value` - allowed object is `FinancialInstitution3`